import socket

host = ''
port = 10001

# Create Socket
s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
s.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)

# Bind Socket
s.bind((host, port))
print("The server is ready to receive")

while 1:
   # Receive Message from Client
   data, addr = s.recvfrom(2048)
   print(addr)
   
   # Send Echo to Client
   modified_data = data.upper()
   s.sendto(modified_data, addr)
   
# Close Socket
s.close()
